(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 12.3' *)

(***************************************************************************)
(*                                                                         *)
(*                                                                         *)
(*  Under the Wolfram FreeCDF terms of use, this file and its content are  *)
(*  bound by the Creative Commons BY-SA Attribution-ShareAlike license.    *)
(*                                                                         *)
(*        For additional information concerning CDF licensing, see:        *)
(*                                                                         *)
(*         www.wolfram.com/cdf/adopting-cdf/licensing-options.html         *)
(*                                                                         *)
(*                                                                         *)
(***************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1088,         20]
NotebookDataLength[     48389,       1047]
NotebookOptionsPosition[     48465,       1037]
NotebookOutlinePosition[     48917,       1054]
CellTagsIndexPosition[     48874,       1051]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["23 de agosto de 2021", "Text",
 CellChangeTimes->{{3.637942261792745*^9, 3.6379422658799543`*^9}, {
  3.837262116568473*^9, 3.8372621313214197`*^9}, {3.83855883459517*^9, 
  3.838558835139284*^9}, {3.838636713557737*^9, 3.838636715795071*^9}, {
  3.838636965093545*^9, 3.838636965593302*^9}, {3.8387160617296257`*^9, 
  3.838716061845851*^9}},
 TextAlignment->Right,ExpressionUUID->"a8da2c04-2f8e-46fa-bda9-06d9164932d2"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Appleland", "Title",
  FontSlant->"Italic",
  FontColor->RGBColor[0., 0., 0.5019607843137255]],
 StyleBox[":  recetas de pay y matrices de insumo-producto", "Title",
  FontColor->RGBColor[0., 0., 0.5019607843137255]],
 "\n",
 StyleBox["\nAppleland es la tierra donde se hace el mejor pay de manzana.   \
Cada mes, en el pueblo se venden 1000 pays de manzana.   Tambi\[EAcute]n se \
venden manzanas, leche, harina y mantequilla, todos producidos localmente.  \n\
\nLa receta de los pays hace que, para producir los 1000 pays mensualmente, \
se requieren 28 kilogramos de mantequilla, 274 kg de harina y 8 000 manzanas. \
 Adem\[AAcute]s de los pays, cada mes se venden 50 kg de harina, 200 litros \
de leche, 10 kg de mantequilla y 500 manzanas.  Los precios son:  30 centavos \
por kg de trigo, 1.80 d\[OAcute]lares por kg/harina, 50 centavos por litro de \
leche, 25 d\[OAcute]lares por kg de mantequilla, 1 d\[OAcute]lar por cada \
manzana.  Cada pay se vende en 30 d\[OAcute]lares cada uno.\n\n\
\[DownQuestion]Qu\[EAcute] suceder\[AAcute] si las demandas cambian?", "Text",
  FontColor->GrayLevel[0]]
}], "Title",
 CellChangeTimes->{{3.5826454497577767`*^9, 3.5826454654358044`*^9}, {
   3.582645504108272*^9, 3.5826455058086753`*^9}, {3.582752368030732*^9, 
   3.5827523795289526`*^9}, {3.5827567487485056`*^9, 3.582756764717419*^9}, {
   3.5827568120521264`*^9, 3.582757155992799*^9}, {3.5828315404331317`*^9, 
   3.582831629493688*^9}, {3.582831677775773*^9, 3.582831756696311*^9}, {
   3.5828317897683697`*^9, 3.5828320255023837`*^9}, 3.582832309504883*^9, {
   3.5828323463385477`*^9, 3.5828323537797604`*^9}, {3.582832403169447*^9, 
   3.5828324537769365`*^9}, {3.5828353262819834`*^9, 
   3.5828353947389035`*^9}, {3.5828354567022123`*^9, 3.582835461959422*^9}, {
   3.5828355649196024`*^9, 3.5828355683672085`*^9}, {3.58283595615469*^9, 
   3.582836065280882*^9}, {3.5828361670418606`*^9, 3.582836296958889*^9}, {
   3.582836329765746*^9, 3.582836368253014*^9}, {3.582836420544306*^9, 
   3.582836695572789*^9}, {3.5828370771972594`*^9, 3.5828371097077165`*^9}, {
   3.5828824490893116`*^9, 3.582882473362954*^9}, {3.583082792930419*^9, 
   3.5830827981272287`*^9}, {3.5830952068637834`*^9, 
   3.5830952404772434`*^9}, {3.5830952815445156`*^9, 
   3.5830953375606146`*^9}, {3.583095379455289*^9, 3.583095390252508*^9}, {
   3.583095480764268*^9, 3.583095520472338*^9}, {3.5830955570136027`*^9, 
   3.583095622797319*^9}, {3.58310011993402*^9, 3.58310026332211*^9}, {
   3.583100316354604*^9, 3.5831008590853634`*^9}, {3.583137945382044*^9, 
   3.583137948378249*^9}, {3.583138001618943*^9, 3.5831383073176837`*^9}, {
   3.5831389882676864`*^9, 3.5831392757375946`*^9}, {3.583139311796258*^9, 
   3.583139320252473*^9}, {3.583142725307259*^9, 3.5831433321903315`*^9}, {
   3.5831433712452006`*^9, 3.5831434887978086`*^9}, {3.58314371588361*^9, 
   3.583144084174461*^9}, {3.586003540408675*^9, 3.5860035421412783`*^9}, {
   3.5860046112339697`*^9, 3.5860046595728555`*^9}, {3.586004736900592*^9, 
   3.5860047979378996`*^9}, {3.586005227477738*^9, 3.5860053616664133`*^9}, {
   3.58600539307921*^9, 3.586005978298682*^9}, {3.5860062393406134`*^9, 
   3.586006323957453*^9}, {3.5902276832215137`*^9, 3.590227746046604*^9}, {
   3.5902278784197927`*^9, 3.590228005385974*^9}, {3.590228045023033*^9, 
   3.590228076284077*^9}, {3.5902281515391846`*^9, 3.5902281914412413`*^9}, {
   3.637942283395835*^9, 3.6379422918881955`*^9}, {3.637942501012269*^9, 
   3.6379425242707767`*^9}, {3.8385768930449095`*^9, 
   3.8385769043574257`*^9}, {3.8386366951045666`*^9, 
   3.8386367019788437`*^9}, {3.838638161842574*^9, 3.838638187906732*^9}, {
   3.8386382724321537`*^9, 3.838638509636587*^9}, {3.838638583928011*^9, 
   3.8386386576681347`*^9}, {3.8386387550067472`*^9, 
   3.8386387646353035`*^9}, {3.8386398952090263`*^9, 3.8386401020131636`*^9}, 
   3.8386401500182023`*^9, {3.83871601137921*^9, 
   3.838716056129421*^9}},ExpressionUUID->"72e03393-8403-4626-8a4b-\
107c5e742175"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"GraphPlot", "[", 
         RowBox[{
          RowBox[{"{", "    ", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<trigo\>\"", "\[Rule]", "\"\<harina\>\""}], ",", 
                "  ", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"Aph", ".", 
                   RowBox[{"DiagonalMatrix", "[", "  ", 
                    RowBox[{"Lph", ".", "fdvector"}], " ", "]"}]}], "  ", 
                  ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "   ", "]"}], ",", 
              "Blue"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<leche\>\"", "\[Rule]", "\"\<mantequilla\>\""}], 
                ",", " ", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"Aph", ".", 
                   RowBox[{"DiagonalMatrix", "[", "  ", 
                    RowBox[{"Lph", ".", "fdvector"}], " ", "]"}]}], "  ", 
                  ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"3", ",", "4"}], "]"}], "]"}]}], "     ", "]"}], 
              ",", "Blue"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<manzanas\>\"", "\[Rule]", "\"\<pay\>\""}], ",", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"Aph", ".", 
                   RowBox[{"DiagonalMatrix", "[", "  ", 
                    RowBox[{"Lph", ".", "fdvector"}], "  ", "]"}]}], "  ", 
                  ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"5", ",", "6"}], "]"}], "]"}], " ", ",", "  ", 
                "0.5"}], "  ", "]"}], ",", "Blue"}], " ", "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<harina\>\"", "\[Rule]", "\"\<pay\>\""}], ",", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"Aph", ".", 
                   RowBox[{"DiagonalMatrix", "[", "  ", 
                    RowBox[{"Lph", ".", "fdvector"}], "  ", "]"}]}], "  ", 
                  ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "6"}], "]"}], "]"}], "  ", ",", ".5"}], 
               "]"}], ",", " ", "Blue"}], "  ", "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<mantequilla\>\"", "\[Rule]", "\"\<pay\>\""}], 
                ",", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"Aph", ".", 
                   RowBox[{"DiagonalMatrix", "[", "  ", 
                    RowBox[{"Lph", ".", "fdvector"}], "   ", "]"}]}], "  ", 
                  ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"4", ",", "6"}], "]"}], "]"}]}], "     ", "]"}], 
              ",", " ", "Blue"}], "  ", "]"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<harina\>\"", "\[Rule]", "\"\<FCharina\>\""}], 
                ",", 
                RowBox[{"fdvector", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], "   ", "]"}], ",", " ", 
              "Red"}], "  ", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<leche\>\"", "\[Rule]", "\"\<FCleche\>\""}], ",", 
                " ", 
                RowBox[{"fdvector", "[", 
                 RowBox[{"[", "3", "]"}], "]"}]}], "   ", "]"}], ",", " ", 
              "Red"}], "  ", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{
                "\"\<mantequilla\>\"", "\[Rule]", "\"\<FCmantequilla\>\""}], 
                ",", 
                RowBox[{"fdvector", "[", 
                 RowBox[{"[", "4", "]"}], "]"}]}], "   ", "]"}], ",", "Red"}],
              "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<manzanas\>\"", "\[Rule]", "\"\<FCmanzana\>\""}], 
                ",", 
                RowBox[{"fdvector", "[", 
                 RowBox[{"[", "5", "]"}], "]"}], " ", ",", ".6"}], " ", "]"}],
               ",", " ", "Red"}], "  ", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<pay\>\"", "\[Rule]", "\"\<FCpay\>\""}], ",", 
                RowBox[{"fdvector", "[", 
                 RowBox[{"[", "6", "]"}], "]"}], ",", " ", "0.6"}], "   ", 
               "]"}], ",", "Red"}], "  ", "]"}]}], "\[IndentingNewLine]", 
           "   ", "}"}], ",", " ", 
          RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
          RowBox[{"DirectedEdges", "->", "True"}], ",", " ", 
          RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
          RowBox[{
          "PlotLabel", "->", "\"\<Grafo con cantidades f\[IAcute]sicas\>\""}],
           ",", " ", 
          RowBox[{"EdgeShapeFunction", "\[Rule]", "\"\<Arrow\>\""}], ",", " ", 
          RowBox[{"ImageSize", "->", "Medium"}], ",", "   ", 
          RowBox[{"VertexCoordinates", "->", "coord"}]}], "   ", "]"}], ",", 
        "\[IndentingNewLine]", "\"\<       \>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"GraphPlot", "[", 
         RowBox[{
          RowBox[{"{", "    ", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", "  ", 
               RowBox[{
                RowBox[{"\"\<trigo\>\"", "\[Rule]", "\"\<harina\>\""}], ",", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"A", ".", 
                   RowBox[{"DiagonalMatrix", "[", 
                    RowBox[{"L", ".", 
                    RowBox[{"(", 
                    RowBox[{"fdvector", "*", "pricevec"}], ")"}]}], " ", 
                    "]"}]}], "  ", ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "     ", "]"}], 
              ",", "  ", "Gray"}], "  ", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<leche\>\"", "\[Rule]", "\"\<mantequilla\>\""}], 
                ",", " ", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"A", ".", 
                   RowBox[{"DiagonalMatrix", "[", 
                    RowBox[{"L", ".", 
                    RowBox[{"(", 
                    RowBox[{"fdvector", "*", "pricevec"}], ")"}]}], " ", 
                    "]"}]}], "  ", ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"3", ",", "4"}], "]"}], "]"}]}], "     ", "]"}], 
              ",", " ", "Gray"}], " ", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<manzana\>\"", "\[Rule]", "\"\<pay\>\""}], ",", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"A", ".", 
                   RowBox[{"DiagonalMatrix", "[", 
                    RowBox[{"L", ".", 
                    RowBox[{"(", 
                    RowBox[{"fdvector", "*", "pricevec"}], ")"}]}], " ", 
                    "]"}]}], "  ", ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"5", ",", "6"}], "]"}], "]"}]}], " ", "]"}], ",", 
              " ", "Gray"}], "  ", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<harina\>\"", "\[Rule]", "\"\<pay\>\""}], ",", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"A", ".", 
                   RowBox[{"DiagonalMatrix", "[", 
                    RowBox[{"L", ".", 
                    RowBox[{"(", 
                    RowBox[{"fdvector", "*", "pricevec"}], ")"}]}], " ", 
                    "]"}]}], "  ", ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ",", "6"}], "]"}], "]"}], " ", ",", ".5"}], 
               "]"}], ",", " ", "Gray"}], "  ", "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<mantequilla\>\"", "\[Rule]", "\"\<pay\>\""}], 
                ",", 
                RowBox[{
                 RowBox[{"(", "  ", 
                  RowBox[{"A", ".", 
                   RowBox[{"DiagonalMatrix", "[", 
                    RowBox[{"L", ".", 
                    RowBox[{"(", 
                    RowBox[{"fdvector", "*", "pricevec"}], ")"}]}], " ", 
                    "]"}]}], "  ", ")"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"4", ",", "6"}], "]"}], "]"}]}], "  ", "]"}], ",", 
              " ", "Gray"}], "  ", "]"}], ",", "\[IndentingNewLine]", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<harina\>\"", "\[Rule]", "\"\<FCharina\>\""}], 
                ",", 
                RowBox[{
                 RowBox[{"fdvector", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "*", 
                 RowBox[{"pricevec", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}]}], "   ", "]"}], ",", " ", 
              "Orange"}], "  ", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<leche\>\"", "\[Rule]", "\"\<FCleche\>\""}], ",", 
                " ", 
                RowBox[{
                 RowBox[{"fdvector", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], " ", "*", 
                 RowBox[{"pricevec", "[", 
                  RowBox[{"[", "3", "]"}], "]"}]}]}], "    ", "]"}], ",", " ",
               "Orange"}], " ", "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{
                "\"\<mantequilla\>\"", "\[Rule]", "\"\<FCmantequilla\>\""}], 
                ",", 
                RowBox[{
                 RowBox[{"fdvector", "[", 
                  RowBox[{"[", "4", "]"}], "]"}], "*", 
                 RowBox[{"pricevec", "[", 
                  RowBox[{"[", "4", "]"}], "]"}]}], "  ", ",", "0.5"}], 
               "     ", "]"}], ",", "Orange"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<manzana\>\"", "\[Rule]", "\"\<FCmanzana\>\""}], 
                ",", 
                RowBox[{
                 RowBox[{"fdvector", "[", 
                  RowBox[{"[", "5", "]"}], "]"}], "*", 
                 RowBox[{"pricevec", "[", 
                  RowBox[{"[", "5", "]"}], "]"}]}], " ", ",", ".6"}], " ", 
               "]"}], ",", " ", "Orange"}], "  ", "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Style", "[", "   ", 
             RowBox[{
              RowBox[{"Labeled", "[", 
               RowBox[{
                RowBox[{"\"\<pay\>\"", "\[Rule]", "\"\<FCpay\>\""}], ",", 
                RowBox[{
                 RowBox[{"fdvector", "[", 
                  RowBox[{"[", "6", "]"}], "]"}], "*", 
                 RowBox[{"pricevec", "[", 
                  RowBox[{"[", "6", "]"}], "]"}]}]}], "       ", "]"}], ",", 
              " ", "Orange"}], " ", "]"}]}], "\[IndentingNewLine]", "   ", 
           "}"}], ",", " ", 
          RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
          RowBox[{"DirectedEdges", "->", "True"}], ",", " ", 
          RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", " ", 
          RowBox[{"EdgeShapeFunction", "\[Rule]", "\"\<Arrow\>\""}], ",", 
          RowBox[{
          "PlotLabel", "->", "\"\<Grafo con cantidades monetarias\>\""}], ",",
           " ", 
          RowBox[{"ImageSize", "->", "Medium"}], ",", "  ", 
          RowBox[{"VertexCoordinates", "->", "coord"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"\"\<\>\"", " ", ",", " ", "\"\<  \>\""}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", "    ", 
       RowBox[{
        RowBox[{"TableForm", "[", "  ", 
         RowBox[{
          RowBox[{"Append", "[", "  ", 
           RowBox[{
            RowBox[{
             RowBox[{"{", " ", 
              RowBox[{"fdvector", ",", 
               RowBox[{"fdvector", "*", "pricevec"}]}], " ", "}"}], 
             "\[Transpose]"}], " ", ",", " ", 
            RowBox[{"Total", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"fdvector", ",", 
                RowBox[{"fdvector", "*", "pricevec"}]}], "}"}], ",", " ", 
              RowBox[{"{", "2", "}"}]}], " ", "]"}]}], "  ", "]"}], " ", ",", 
          " ", 
          RowBox[{"TableHeadings", "->", 
           RowBox[{"{", "  ", 
            RowBox[{
             RowBox[{"Append", "[", "  ", 
              RowBox[{"labels", " ", ",", "\"\<TOTAL\>\""}], "  ", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"\"\<consumo final\>\"", ",", "\"\<valor\>\""}], 
              "}"}]}], "}"}]}], ",", "  ", 
          RowBox[{"TableAlignments", "\[Rule]", " ", "Right"}]}], "]"}], ",", 
        " ", "\[IndentingNewLine]", 
        RowBox[{"Column", "[", 
         RowBox[{"{", 
          RowBox[{
          "\"\<El valor total\>\"", ",", "\"\<del consumo final\>\"", ",", 
           "\"\<es equiparable al PIB\>\""}], "}"}], "]"}], "  ", ",", 
        "SpanFromLeft"}], "      ", "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"\"\<\>\"", " ", ",", " ", "\"\<  \>\""}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", "   ", 
         RowBox[{
         "\"\<Cuadro de interrelaciones expresado en unidades f\[IAcute]sicas\
\>\"", ",", " ", "Bold", ",", " ", "Large"}], "  ", "]"}], ",", "  ", 
        "SpanFromLeft"}], "  ", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"\"\<\>\"", " ", ",", " ", "\"\<  \>\""}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"TableForm", "[", "    ", 
         RowBox[{
          RowBox[{
           RowBox[{"Append", "[", "  ", 
            RowBox[{
             RowBox[{"(", "   ", 
              RowBox[{
               RowBox[{"Aph", "\[Transpose]"}], "*", 
               RowBox[{"(", "  ", 
                RowBox[{"Lph", ".", "fdvector"}], "  ", ")"}]}], "    ", 
              ")"}], ",", "   ", "fdvector"}], "   ", "]"}], "\[Transpose]"}],
           "   ", ",", "\[IndentingNewLine]", " ", 
          RowBox[{"TableHeadings", "->", 
           RowBox[{"{", "   ", 
            RowBox[{"labelsabr", ",", " ", 
             RowBox[{"Append", "[", 
              RowBox[{"labelsabr", ",", " ", "\"\<consumo final\>\""}], 
              "]"}]}], "  ", "}"}]}], ",", "  ", 
          RowBox[{"TableAlignments", "\[Rule]", " ", "Right"}]}], "]"}], 
        "    ", ",", "SpanFromLeft"}], "  ", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"\"\<\>\"", " ", ",", " ", "\"\<  \>\""}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", "   ", 
         RowBox[{
         "\"\<Cuadro de interrelaciones expresado en unidades monetarias\>\"",
           ",", " ", "Bold", ",", " ", "Large"}], "  ", "]"}], ",", "  ", 
        "SpanFromLeft"}], "  ", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"\"\<\>\"", " ", ",", " ", "\"\<  \>\""}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"TableForm", "[", "    ", 
         RowBox[{
          RowBox[{
           RowBox[{"Append", "[", "  ", 
            RowBox[{
             RowBox[{"(", "   ", 
              RowBox[{
               RowBox[{"A", "\[Transpose]"}], "*", 
               RowBox[{"(", "  ", 
                RowBox[{"L", ".", 
                 RowBox[{"(", 
                  RowBox[{"fdvector", "*", "pricevec"}], ")"}]}], "  ", 
                ")"}]}], "    ", ")"}], ",", "   ", 
             RowBox[{"fdvector", "*", "pricevec"}]}], "   ", "]"}], 
           "\[Transpose]"}], "   ", ",", " ", "\[IndentingNewLine]", 
          RowBox[{"TableHeadings", "->", 
           RowBox[{"{", "   ", 
            RowBox[{"labelsabr", ",", " ", 
             RowBox[{"Append", "[", 
              RowBox[{"labelsabr", ",", " ", "\"\<consumo final\>\""}], 
              "]"}]}], " ", "}"}]}], ",", "  ", 
          RowBox[{"TableAlignments", "\[Rule]", " ", "Right"}]}], "]"}], 
        "    ", ",", "SpanFromLeft"}], "  ", "}"}]}], "\[IndentingNewLine]", 
     "}"}], "  ", "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Column", "[", 
     RowBox[{
      RowBox[{"Table", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"With", "[", "   ", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"i", "=", "i"}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Row", "[", 
           RowBox[{
            RowBox[{"{", "  ", 
             RowBox[{
              RowBox[{"\"\<consumo final de \>\"", "<>", 
               RowBox[{"labels", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "<>", "\"\< \>\""}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Slider", "[", 
               RowBox[{
                RowBox[{"Dynamic", "[", 
                 RowBox[{"fdvector", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"0", ",", "2000", ",", "1"}], "}"}]}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"fdvector", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", "\"\<   \>\""}], 
           "]"}]}], "    ", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "2", ",", "6"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", "Left"}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Initialization", " ", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"labels", "=", 
       RowBox[{"{", 
        RowBox[{
        "\"\<trigo (kg/mes)\>\"", ",", "\"\<harina (kg/mes)\>\"", ",", 
         "\"\<leche (L/mes)\>\"", ",", "\"\<mantequilla (kg/mes)\>\"", ",", 
         "\"\<manzanas(unidades/mes)\>\"", ",", 
         "\"\<pays (unidades/mes)\>\""}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"labelsabr", "=", 
       RowBox[{"{", 
        RowBox[{
        "\"\<trigo\>\"", ",", "\"\<harina\>\"", ",", "\"\<leche\>\"", ",", 
         "\"\<mantequilla\>\"", ",", "\"\<manzanas\>\"", ",", 
         "\"\<pays\>\""}], "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"pricevec", "=", 
       RowBox[{"{", 
        RowBox[{
        "0.3", ",", "1.8", ",", "0.5", ",", "25", ",", "1", ",", "30."}], 
        "}"}]}], ";", " ", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{"vector", " ", "of", " ", "prices", " ", "of", " ", "wheat"}],
         ",", " ", "flour", ",", " ", "milk", ",", " ", "butter", ",", " ", 
        RowBox[{"apples", " ", "and", " ", "pies"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"fdvector", "=", 
       RowBox[{"{", 
        RowBox[{
        "0.", ",", "50.", ",", "200.", ",", "10.", ",", "500.", ",", 
         "1000."}], "}"}]}], ";", "  ", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
        "vector", " ", "of", " ", "physical", " ", "final", " ", "demand", 
         " ", "for", " ", "wheat"}], ",", " ", "flour", ",", " ", "milk", ",",
         " ", "butter", ",", " ", 
        RowBox[{"apples", " ", "and", " ", "pies"}]}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Zph", "=", 
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "380", "0", "0", "0", "0"},
          {"0", "0", "0", "0", "0", "274"},
          {"0", "0", "0", "800", "0", "0"},
          {"0", "0", "0", "0", "0", "28"},
          {"0", "0", "0", "0", "0", "8000"},
          {"0", "0", "0", "0", "0", "0"}
         }], "\[NoBreak]", ")"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Z", "=", 
       RowBox[{"Zph", "*", "pricevec"}]}], ";", "  ", 
      RowBox[{"(*", "  ", 
       RowBox[{
       "convert", " ", "Z", " ", "matrix", " ", "to", " ", "monetary", " ", 
        "units"}], "  ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"x", "=", 
       RowBox[{
        RowBox[{"Z", ".", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1"}], 
          "}"}]}], "+", 
        RowBox[{"fdvector", "*", "pricevec"}]}]}], ";", " ", 
      RowBox[{"(*", "  ", 
       RowBox[{
       "total", " ", "output", " ", "of", " ", "each", " ", "product"}], "  ",
        "*)"}], "\[IndentingNewLine]", 
      RowBox[{"A", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Z", "\[Transpose]"}], "/", "x"}], ")"}], 
        "\[Transpose]"}]}], " ", ";", "  ", 
      RowBox[{"(*", " ", 
       RowBox[{
       "A", " ", "matrix", " ", "of", " ", "technical", " ", "coefficients"}],
        "  ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"L", "=", 
       RowBox[{"Inverse", "[", "  ", 
        RowBox[{
         RowBox[{"IdentityMatrix", "[", "  ", 
          RowBox[{"Length", "[", "A", "]"}], " ", "]"}], "-", "A"}], "  ", 
        "]"}]}], " ", ";", " ", 
      RowBox[{"(*", " ", 
       RowBox[{"Leontief", " ", "inverse", " ", "matrix"}], "  ", "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"xph", "=", 
       RowBox[{
        RowBox[{"Zph", ".", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1"}], 
          "}"}]}], "+", "fdvector"}]}], ";", " ", 
      RowBox[{"(*", "  ", 
       RowBox[{
       "total", " ", "output", " ", "of", " ", "each", " ", "product"}], "  ",
        "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Aph", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Zph", "\[Transpose]"}], "/", "xph"}], ")"}], 
        "\[Transpose]"}]}], " ", ";", "  ", 
      RowBox[{"(*", " ", 
       RowBox[{
       "A", " ", "matrix", " ", "of", " ", "technical", " ", "coefficients"}],
        "  ", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Lph", "=", 
       RowBox[{"Inverse", "[", "  ", 
        RowBox[{
         RowBox[{"IdentityMatrix", "[", "  ", 
          RowBox[{"Length", "[", "Aph", "]"}], " ", "]"}], "-", "Aph"}], "  ",
         "]"}]}], " ", ";", " ", 
      RowBox[{"(*", " ", 
       RowBox[{"Leontief", " ", "inverse", " ", "matrix"}], "  ", "*)"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"coord", "=", 
       TagBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
           {"0.`", "3.`"},
           {"0.`", "2.`"},
           {"3.`", "3.`"},
           {"3.`", "2.`"},
           {"1.`", "0.5"},
           {"2.`", "1.`"},
           {"0.`", "1.`"},
           {"2.`", "2.`"},
           {"3.`", "1.`"},
           {"1.`", "0.`"},
           {"2.`", "0.`"}
          },
          GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.7]}, 
              Offset[0.27999999999999997`]}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}}], "\[NoBreak]", ")"}],
        Function[BoxForm`e$, 
         MatrixForm[BoxForm`e$]]]}]}], "   ", 
     RowBox[{"(*", "  ", 
      RowBox[{
      "coordinates", " ", "of", " ", "the", " ", "vertices", " ", "of", " ", 
       "the", " ", "graph"}], "  ", "*)"}], "\[IndentingNewLine]", ")"}]}], 
   ",", " ", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.8372766242042065`*^9, 3.8372767151159363`*^9}, {
   3.8372767500438995`*^9, 3.8372768021606817`*^9}, {3.837276850250738*^9, 
   3.837276991649024*^9}, {3.8372770440042267`*^9, 3.83727708910067*^9}, {
   3.83727712025048*^9, 3.8372771519428873`*^9}, {3.8372771869918237`*^9, 
   3.8372771877024508`*^9}, 3.8372780060718155`*^9, {3.8372780565665183`*^9, 
   3.8372781049264555`*^9}, {3.8372781415504093`*^9, 
   3.8372781619263887`*^9}, {3.837278213293642*^9, 3.837278423606023*^9}, {
   3.8372784671104183`*^9, 3.8372784818783307`*^9}, {3.837278547982649*^9, 
   3.837278643021364*^9}, 3.8372786759508257`*^9, {3.8372787484186077`*^9, 
   3.837278832608249*^9}, {3.8372788795255203`*^9, 3.8372789317059927`*^9}, {
   3.8372789943069077`*^9, 3.83727901411602*^9}, {3.837279460504047*^9, 
   3.8372794669339323`*^9}, {3.8372795661497946`*^9, 
   3.8372797054140387`*^9}, {3.8372799881112003`*^9, 
   3.8372799920230827`*^9}, {3.837280040023628*^9, 3.837280041869543*^9}, {
   3.8372800953029346`*^9, 3.8372801139181805`*^9}, {3.8372802094868517`*^9, 
   3.8372802199900117`*^9}, {3.8372803082464056`*^9, 3.837280375390168*^9}, {
   3.8372804354505105`*^9, 3.837280445640815*^9}, {3.8372805084669123`*^9, 
   3.8372805450578504`*^9}, {3.837281024015283*^9, 3.8372810254392576`*^9}, {
   3.8372811367851067`*^9, 3.837281219664279*^9}, {3.837281337153058*^9, 
   3.837281425632558*^9}, {3.83728153933739*^9, 3.8372815609911823`*^9}, {
   3.837281602936471*^9, 3.8372816348455315`*^9}, {3.837281782538325*^9, 
   3.8372817834251475`*^9}, {3.837281829599369*^9, 3.837281907566264*^9}, {
   3.8372819531311607`*^9, 3.8372819540392213`*^9}, {3.837282030353917*^9, 
   3.837282144096752*^9}, {3.8372822533533916`*^9, 3.8372822833348293`*^9}, {
   3.837613026690496*^9, 3.837613090479681*^9}, {3.837613207522338*^9, 
   3.8376132244167013`*^9}, {3.8376134431578913`*^9, 
   3.8376134519795322`*^9}, {3.837613510715335*^9, 3.8376135215177193`*^9}, 
   3.837614244476514*^9, {3.837614384560082*^9, 3.837614421088176*^9}, {
   3.8384852748874254`*^9, 3.8384852769288893`*^9}, {3.8384901561638317`*^9, 
   3.8384901755820103`*^9}, {3.8385587848005047`*^9, 
   3.8385588082982297`*^9}, {3.8385764120417657`*^9, 3.838576422953532*^9}, {
   3.838576534220953*^9, 3.838576651424443*^9}, {3.838576752225129*^9, 
   3.838576845388342*^9}, {3.8385770839573307`*^9, 3.8385771390149198`*^9}, {
   3.8385771751879616`*^9, 3.838577202992033*^9}, {3.8386367758998003`*^9, 
   3.8386367982091656`*^9}, 3.838636836671499*^9, {3.838636875781435*^9, 
   3.8386369299805675`*^9}, {3.8386370130134597`*^9, 3.838637116300352*^9}, {
   3.838637186399535*^9, 3.838637202534507*^9}, {3.83863744597305*^9, 
   3.8386374609979753`*^9}, {3.8386376066435356`*^9, 
   3.8386377148741884`*^9}, {3.8386377534608383`*^9, 
   3.8386377911455584`*^9}, {3.8386379086421766`*^9, 3.838638056956208*^9}, {
   3.8386387885522623`*^9, 3.8386390405280085`*^9}, {3.8386397161285563`*^9, 
   3.838639723001692*^9}, {3.8386397566879644`*^9, 3.838639839854471*^9}, {
   3.838640653219599*^9, 3.8386407115867033`*^9}, {3.8386430678645754`*^9, 
   3.8386431248107557`*^9}, {3.838643165003171*^9, 3.8386431768542485`*^9}, {
   3.838643210162077*^9, 3.8386432134796257`*^9}, {3.8386434153280954`*^9, 
   3.838643437431295*^9}, {3.838643808892784*^9, 3.838644082701922*^9}, {
   3.83864418702763*^9, 3.838644226359*^9}, {3.8386443029286947`*^9, 
   3.8386443232824197`*^9}, {3.8386460242186937`*^9, 3.838646057810191*^9}, {
   3.8386461223560114`*^9, 3.8386462406287203`*^9}, {3.8386462744195104`*^9, 
   3.8386462857052064`*^9}, {3.838646324185416*^9, 3.838646369296318*^9}, {
   3.83864640672243*^9, 3.838646413660224*^9}, {3.8386464440542817`*^9, 
   3.838646472321122*^9}, 3.838646519152772*^9, {3.838646570097534*^9, 
   3.838646577518217*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"fadde535-3b71-41fb-bc53-eb21bbc16c57"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Column[
         Table[
          With[{$CellContext`i = $CellContext`i}, 
           Row[{
             StringJoin["consumo final de ", 
              Part[$CellContext`labels, $CellContext`i], " "], 
             Slider[
              Dynamic[
               Part[$CellContext`fdvector, $CellContext`i]], {0, 2000, 1}], 
             Part[$CellContext`fdvector, $CellContext`i]}, 
            "   "]], {$CellContext`i, 2, 6}], Left]]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    790., {419.13403328722353`, 424.8659667127767}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          GraphPlot[{
            Style[
             Labeled["trigo" -> "harina", 
              Part[
               Dot[$CellContext`Aph, 
                DiagonalMatrix[
                 Dot[$CellContext`Lph, $CellContext`fdvector]]], 1, 2]], 
             Blue], 
            Style[
             Labeled["leche" -> "mantequilla", 
              Part[
               Dot[$CellContext`Aph, 
                DiagonalMatrix[
                 Dot[$CellContext`Lph, $CellContext`fdvector]]], 3, 4]], 
             Blue], 
            Style[
             Labeled["manzanas" -> "pay", 
              Part[
               Dot[$CellContext`Aph, 
                DiagonalMatrix[
                 Dot[$CellContext`Lph, $CellContext`fdvector]]], 5, 6], 0.5], 
             Blue], 
            Style[
             Labeled["harina" -> "pay", 
              Part[
               Dot[$CellContext`Aph, 
                DiagonalMatrix[
                 Dot[$CellContext`Lph, $CellContext`fdvector]]], 2, 6], 0.5], 
             Blue], 
            Style[
             Labeled["mantequilla" -> "pay", 
              Part[
               Dot[$CellContext`Aph, 
                DiagonalMatrix[
                 Dot[$CellContext`Lph, $CellContext`fdvector]]], 4, 6]], 
             Blue], 
            Style[
             Labeled["harina" -> "FCharina", 
              Part[$CellContext`fdvector, 2]], Red], 
            Style[
             Labeled["leche" -> "FCleche", 
              Part[$CellContext`fdvector, 3]], Red], 
            Style[
             Labeled["mantequilla" -> "FCmantequilla", 
              Part[$CellContext`fdvector, 4]], Red], 
            Style[
             Labeled["manzanas" -> "FCmanzana", 
              Part[$CellContext`fdvector, 5], 0.6], Red], 
            Style[
             Labeled["pay" -> "FCpay", 
              Part[$CellContext`fdvector, 6], 0.6], Red]}, VertexSize -> 
           Medium, DirectedEdges -> True, VertexLabels -> "Name", PlotLabel -> 
           "Grafo con cantidades f\[IAcute]sicas", EdgeShapeFunction -> 
           "Arrow", ImageSize -> Medium, 
           VertexCoordinates -> $CellContext`coord], "       ", 
          GraphPlot[{
            Style[
             Labeled["trigo" -> "harina", 
              Part[
               Dot[$CellContext`A, 
                DiagonalMatrix[
                 
                 Dot[$CellContext`L, $CellContext`fdvector \
$CellContext`pricevec]]], 1, 2]], Gray], 
            Style[
             Labeled["leche" -> "mantequilla", 
              Part[
               Dot[$CellContext`A, 
                DiagonalMatrix[
                 
                 Dot[$CellContext`L, $CellContext`fdvector \
$CellContext`pricevec]]], 3, 4]], Gray], 
            Style[
             Labeled["manzana" -> "pay", 
              Part[
               Dot[$CellContext`A, 
                DiagonalMatrix[
                 
                 Dot[$CellContext`L, $CellContext`fdvector \
$CellContext`pricevec]]], 5, 6]], Gray], 
            Style[
             Labeled["harina" -> "pay", 
              Part[
               Dot[$CellContext`A, 
                DiagonalMatrix[
                 
                 Dot[$CellContext`L, $CellContext`fdvector \
$CellContext`pricevec]]], 2, 6], 0.5], Gray], 
            Style[
             Labeled["mantequilla" -> "pay", 
              Part[
               Dot[$CellContext`A, 
                DiagonalMatrix[
                 
                 Dot[$CellContext`L, $CellContext`fdvector \
$CellContext`pricevec]]], 4, 6]], Gray], 
            Style[
             Labeled[
             "harina" -> "FCharina", Part[$CellContext`fdvector, 2] 
              Part[$CellContext`pricevec, 2]], Orange], 
            Style[
             Labeled[
             "leche" -> "FCleche", Part[$CellContext`fdvector, 3] 
              Part[$CellContext`pricevec, 3]], Orange], 
            Style[
             Labeled[
             "mantequilla" -> "FCmantequilla", Part[$CellContext`fdvector, 4] 
              Part[$CellContext`pricevec, 4], 0.5], Orange], 
            Style[
             Labeled[
             "manzana" -> "FCmanzana", Part[$CellContext`fdvector, 5] 
              Part[$CellContext`pricevec, 5], 0.6], Orange], 
            Style[
             Labeled[
             "pay" -> "FCpay", Part[$CellContext`fdvector, 6] 
              Part[$CellContext`pricevec, 6]], Orange]}, VertexSize -> Medium,
            DirectedEdges -> True, VertexLabels -> "Name", EdgeShapeFunction -> 
           "Arrow", PlotLabel -> "Grafo con cantidades monetarias", ImageSize -> 
           Medium, VertexCoordinates -> $CellContext`coord]}, {"", "  "}, {
          TableForm[
           Append[
            
            Transpose[{$CellContext`fdvector, $CellContext`fdvector \
$CellContext`pricevec}], 
            
            Total[{$CellContext`fdvector, $CellContext`fdvector \
$CellContext`pricevec}, {2}]], TableHeadings -> {
             Append[$CellContext`labels, "TOTAL"], {
             "consumo final", "valor"}}, TableAlignments -> Right], 
          
          Column[{"El valor total", "del consumo final", 
            "es equiparable al PIB"}], SpanFromLeft}, {"", "  "}, {
          Style[
          "Cuadro de interrelaciones expresado en unidades f\[IAcute]sicas", 
           Bold, Large], SpanFromLeft}, {"", "  "}, {
          TableForm[
           Transpose[
            Append[
            Transpose[$CellContext`Aph] 
             Dot[$CellContext`Lph, $CellContext`fdvector], \
$CellContext`fdvector]], TableHeadings -> {$CellContext`labelsabr, 
             Append[$CellContext`labelsabr, "consumo final"]}, 
           TableAlignments -> Right], SpanFromLeft}, {"", "  "}, {
          Style[
          "Cuadro de interrelaciones expresado en unidades monetarias", Bold, 
           Large], SpanFromLeft}, {"", "  "}, {
          TableForm[
           Transpose[
            Append[
            Transpose[$CellContext`A] 
             Dot[$CellContext`L, $CellContext`fdvector \
$CellContext`pricevec], $CellContext`fdvector $CellContext`pricevec]], 
           TableHeadings -> {$CellContext`labelsabr, 
             Append[$CellContext`labelsabr, "consumo final"]}, 
           TableAlignments -> Right], SpanFromLeft}}], "Specifications" :> {
        Dynamic[
         Column[
          Table[
           With[{$CellContext`i = $CellContext`i}, 
            Row[{
              StringJoin["consumo final de ", 
               Part[$CellContext`labels, $CellContext`i], " "], 
              Slider[
               Dynamic[
                Part[$CellContext`fdvector, $CellContext`i]], {0, 2000, 1}], 
              Part[$CellContext`fdvector, $CellContext`i]}, 
             "   "]], {$CellContext`i, 2, 6}], Left]]}, 
      "Options" :> {ControlPlacement -> Top}, "DefaultOptions" :> {}],
     ImageSizeCache->{840., {506.1340332872234, 511.8659667127766}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`labels = {
        "trigo (kg/mes)", "harina (kg/mes)", "leche (L/mes)", 
         "mantequilla (kg/mes)", "manzanas(unidades/mes)", 
         "pays (unidades/mes)"}; $CellContext`labelsabr = {
        "trigo", "harina", "leche", "mantequilla", "manzanas", 
         "pays"}; $CellContext`pricevec = {
        0.3, 1.8, 0.5, 25, 1, 30.}; $CellContext`fdvector = {0., 50., 200., 
        10., 500., 1000.}; $CellContext`Zph = {{0, 380, 0, 0, 0, 0}, {0, 0, 0,
         0, 0, 274}, {0, 0, 0, 800, 0, 0}, {0, 0, 0, 0, 0, 28}, {0, 0, 0, 0, 
        0, 8000}, {0, 0, 0, 0, 0, 
        0}}; $CellContext`Z = $CellContext`Zph $CellContext`pricevec; \
$CellContext`x = 
       Dot[$CellContext`Z, {1, 1, 1, 1, 1, 
          1}] + $CellContext`fdvector $CellContext`pricevec; $CellContext`A = 
       Transpose[Transpose[$CellContext`Z]/$CellContext`x]; $CellContext`L = 
       Inverse[IdentityMatrix[
           Length[$CellContext`A]] - $CellContext`A]; $CellContext`xph = 
       Dot[$CellContext`Zph, {1, 1, 1, 1, 1, 
          1}] + $CellContext`fdvector; $CellContext`Aph = 
       Transpose[
        Transpose[$CellContext`Zph]/$CellContext`xph]; $CellContext`Lph = 
       Inverse[IdentityMatrix[
           
           Length[$CellContext`Aph]] - $CellContext`Aph]; $CellContext`coord = \
{{0., 3.}, {0., 2.}, {3., 3.}, {3., 2.}, {1., 0.5}, {2., 1.}, {0., 1.}, {2., 
        2.}, {3., 1.}, {1., 0.}, {2., 0.}}); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.83728022082094*^9, {3.83728031000871*^9, 3.837280376704695*^9}, 
   3.83728044666947*^9, 3.8372805158373814`*^9, 3.837281027440588*^9, {
   3.8372811452528567`*^9, 3.8372811591827173`*^9}, {3.8372811934773407`*^9, 
   3.8372812205853043`*^9}, 3.8372813427960606`*^9, {3.837281386281303*^9, 
   3.8372814272351866`*^9}, {3.8372815472521324`*^9, 3.837281562627023*^9}, {
   3.8372816167747326`*^9, 3.837281635779376*^9}, 3.8372818549711113`*^9, 
   3.8372819150478606`*^9, 3.8372819644743757`*^9, 3.8372820520536695`*^9, 
   3.8372820943878927`*^9, 3.8372822314505157`*^9, 3.837282284901615*^9, 
   3.837282315108801*^9, 3.8376129942837276`*^9, {3.837613029928893*^9, 
   3.8376130908818073`*^9}, {3.8376132077747707`*^9, 3.837613229551235*^9}, 
   3.8376134533635397`*^9, 3.837613521917244*^9, 3.8376143405*^9, {
   3.837614386053866*^9, 3.837614421601819*^9}, 3.8384852806344314`*^9, {
   3.838490161209374*^9, 3.838490177073528*^9}, {3.838558792735466*^9, 
   3.8385588205910845`*^9}, 3.838576150396388*^9, 3.838576424070131*^9, 
   3.83857649209494*^9, 3.8385768531743727`*^9, {3.83857709176026*^9, 
   3.8385771399205656`*^9}, {3.8385771776522164`*^9, 3.8385772053328094`*^9}, 
   3.8386368524590516`*^9, 3.838636937960328*^9, 3.838637083145585*^9, 
   3.838637124485118*^9, 3.838637157890296*^9, 3.838637222227438*^9, 
   3.8386374640758734`*^9, 3.8386377170958576`*^9, 3.8386378504492965`*^9, 
   3.838638072715178*^9, 3.838639041844452*^9, 3.8386391839659014`*^9, 
   3.83863972384863*^9, 3.838639854350254*^9, 3.8386401138448076`*^9, 
   3.838640713269004*^9, 3.8386426430085697`*^9, 3.838643126019656*^9, 
   3.838643177645952*^9, 3.838643214585744*^9, 3.838643980423017*^9, 
   3.838644083296035*^9, 3.8386441944358234`*^9, 3.8386443407519884`*^9, 
   3.838645992919441*^9, 3.838646064224747*^9, 3.8386461826946316`*^9, 
   3.8386462463149867`*^9, 3.838646288675544*^9, 3.8386463706012897`*^9, 
   3.8386464149988256`*^9, {3.8386464482553473`*^9, 3.8386464737324643`*^9}, {
   3.838646520671109*^9, 3.8386465470376806`*^9}, {3.8386465782948017`*^9, 
   3.838646600818865*^9}},
 CellLabel->"Out[13]=",ExpressionUUID->"a34e63ef-d128-4b41-b9a9-7f5c56775120"]
}, {2}]],

Cell[TextData[StyleBox["D.R. 2021  Ricardo Mart\[IAcute]nez-Lagunes @Rimarlag \
  ",
 FontSize->12]], "Text",
 CellChangeTimes->{{3.8384005286194077`*^9, 3.8384005341063175`*^9}, {
   3.8384006262318993`*^9, 3.838400760095713*^9}, {3.8384013487911777`*^9, 
   3.8384013886383853`*^9}, {3.838404624458567*^9, 3.838405092232934*^9}, {
   3.838406215391223*^9, 3.8384062933742037`*^9}, {3.8384064527344627`*^9, 
   3.8384065080492063`*^9}, 3.838407977009522*^9, {3.8386433263382435`*^9, 
   3.838643330684914*^9}},ExpressionUUID->"e08fc2d9-3fe0-4337-83c0-\
465fd5a9c5e4"]
}, Open  ]]
},
WindowSize->{1141.2, 418.2},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
TaggingRules->Association["TryRealOnly" -> False],
FrontEndVersion->"12.3 for Microsoft Windows (64-bit) (June 19, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"9c87c833-9783-4a3f-9375-f0e72231a8b8"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1488, 33, 427, 6, 35, "Text",ExpressionUUID->"a8da2c04-2f8e-46fa-bda9-06d9164932d2"],
Cell[CellGroupData[{
Cell[1940, 43, 4013, 60, 305, "Title",ExpressionUUID->"72e03393-8403-4626-8a4b-107c5e742175"],
Cell[CellGroupData[{
Cell[5978, 107, 29621, 649, 2156, "Input",ExpressionUUID->"fadde535-3b71-41fb-bc53-eb21bbc16c57"],
Cell[35602, 758, 12267, 264, 1037, "Output",ExpressionUUID->"a34e63ef-d128-4b41-b9a9-7f5c56775120"]
}, {2}]],
Cell[47881, 1025, 568, 9, 31, "Text",ExpressionUUID->"e08fc2d9-3fe0-4337-83c0-465fd5a9c5e4"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Mup@G87srPmHMCw#trDnd4zN *)
